Package waffle.windows.auth

# Interface IWindowsComputer

All Known Implementing Classes:
  `WindowsComputerImpl`

public interface IWindowsComputer
A Windows Computer.

Author:
  dblock[at]dblock[dot]org

## Method Summary

Modifier and Type
Method
Description
`String`
`getComputerName()`
Computer name.
`String[]`
`getGroups()`
Groups.
`String`
`getJoinStatus()`
Join status.
`String`
`getMemberOf()`
Member of (domain).

## Method Details

### getComputerName

String getComputerName()
Computer name.

Returns:
  String.

### getMemberOf

String getMemberOf()
Member of (domain).

Returns:
  String.

### getJoinStatus

String getJoinStatus()
Join status.

Returns:
  String.

### getGroups

String[] getGroups()
Groups.

Returns:
  Array of group names.